Source: python-attrs
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Timo Röhling <roehling@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 furo <!nodoc>,
 pybuild-plugin-pyproject,
 python3-all,
 python3-doc,
 python3-hatch-fancy-pypi-readme,
 python3-hatch-vcs,
 python3-hatchling,
 python3-hypothesis <!nocheck>,
 python3-myst-parser <!nodoc>,
 python3-pytest <!nocheck>,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
 python3-zope.interface <!nodoc>,
Standards-Version: 4.7.0
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://attrs.readthedocs.org/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-attrs.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-attrs

Package: python3-attr
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${python3:Recommends},
Suggests:
 python-attr-doc,
 ${python3:Suggests},
Description: Attributes without boilerplate (Python 3)
 attrs is an MIT-licensed Python package with class decorators that ease the
 chores of implementing the most common attribute-related object protocols.
 .
 You just specify the attributes to work with and attrs gives you:
   - a nice human-readable __repr__,
   - a complete set of comparison methods,
   - an initializer,
   - and much more
 without writing dull boilerplate code again and again.
 .
 This package contains attrs packaged for Python 3.

Package: python-attr-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Recommends:
 python3-doc,
Description: documentation for the attrs Python library
 attrs is an MIT-licensed Python package with class decorators that ease the
 chores of implementing the most common attribute-related object protocols.
 .
 You just specify the attributes to work with and attrs gives you:
   - a nice human-readable __repr__,
   - a complete set of comparison methods,
   - an initializer,
   - and much more
 without writing dull boilerplate code again and again.
 .
 This package provides documentation for attrs.
